LocalizationControllerStoreLocalization Method |
PUT /Localization/
Stores the contents of the specified localization.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPutAttribute]
[ActionNameAttribute("Index")]
public IActionResult StoreLocalization(
[FromBodyAttribute] StoreLocalizationOptions options,
Guid? sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("Index")>
Public Function StoreLocalization (
<FromBodyAttribute> options As StoreLocalizationOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPutAttribute]
[ActionNameAttribute(L"Index")]
IActionResult^ StoreLocalization(
[FromBodyAttribute] StoreLocalizationOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("Index")>]
member StoreLocalization :
[<FromBodyAttribute>] options : StoreLocalizationOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsStoreLocalizationOptions
The options to use when updating the localization. - sessionId (Optional)
- Type: SystemNullableGuid
The ID of the session.
Return Value
Type:
IActionResult
A
LocalizationInfoData with the result, or a status code indicating the problem.
See Also